skip_clone: true
steps:
- name: bump tag in deployment-repo (prod)
  image: git.ar21.de/aaron/kustomize-ci
  commands:
    - git clone https://git.ar21.de/yolokube/core-deployments.git deployment-repo
    - cd deployment-repo/dashboard/overlays/prod
    - kustomize edit set image git.ar21.de/yolokube/dashboard=git.ar21.de/yolokube/dashboard:${CI_PIPELINE_NUMBER}
  when:
    - branch: master
      event: push
- name: bump tag in deployment-repo (staging)
  image: git.ar21.de/aaron/kustomize-ci
  commands:
    - git clone https://git.ar21.de/yolokube/core-deployments.git deployment-repo
    - cd deployment-repo/dashboard/overlays/staging
    - kustomize edit set image git.ar21.de/yolokube/dashboard=git.ar21.de/yolokube/dashboard:staging-${CI_PIPELINE_NUMBER}
  when:
    - branch:
        exclude: master
      event: push
- name: push new tag to deployment-repo (prod)
  image: appleboy/drone-git-push
  settings:
    branch: "${CI_PIPELINE_NUMBER}_dashboard_prod"
    remote: ssh://git@git.ar21.de:2222/yolokube/core-deployments.git
    path: deployment-repo
    force: false
    commit: true
    commit_message: "DASHBOARD: update image tag to ${CI_PIPELINE_NUMBER} (done automagically via Woodpecker pipeline)"
    ssh_key:
      from_secret: FORGEJO_SSH_KEY
  when:
    - branch: master
      event: push
- name: push new tag to deployment-repo (staging)
  image: appleboy/drone-git-push
  settings:
    branch: "${CI_PIPELINE_NUMBER}_dashboard_staging"
    remote: ssh://git@git.ar21.de:2222/yolokube/core-deployments.git
    path: deployment-repo
    force: false
    commit: true
    commit_message: "DASHBOARD STAGING: update image tag to staging-${CI_PIPELINE_NUMBER} (done automagically via Woodpecker pipeline)"
    ssh_key:
      from_secret: FORGEJO_SSH_KEY
  when:
    - branch:
        exclude: master
      event: push
- name: create pull request (prod)
  image: git.ar21.de/tom/push-message-randomizer:latest
  pull: true
  settings:
    gitea_address: https://git.ar21.de
    gitea_token:
      from_secret: FORGEJO_API
    owner: ${CI_REPO_OWNER}
    repo: core-deployments
    branch: "${CI_PIPELINE_NUMBER}_dashboard_prod"
    base_branch: main
    pr_title: "DASHBOARD: update image tag to ${CI_PIPELINE_NUMBER}"
    pr_body: |
      ### ℹ Dashboard image update

      {- random-pr-message -}

      ### Configuration

      📅 **Schedule**: Branch creation - At any time, Automerge - At any time.

      🚦 **Automerge**: Enabled.
    skip_on_missing_branch: true
    close_pr_if_empty: true
    delete_branch_if_pr_empty: true
    merge_when_checks_succeed: true
    delete_branch_after_merge: true
  when:
    - branch: master
      event: push
- name: create pull request (staging)
  image: git.ar21.de/tom/push-message-randomizer:latest
  pull: true
  settings:
    gitea_address: https://git.ar21.de
    gitea_token:
      from_secret: FORGEJO_API
    owner: ${CI_REPO_OWNER}
    repo: core-deployments
    branch: "${CI_PIPELINE_NUMBER}_dashboard_staging"
    base_branch: main
    pr_title: "DASHBOARD STAGING: update image tag to ${CI_PIPELINE_NUMBER}"
    pr_body: |
      ### ℹ Dashboard image update

      {- random-pr-message -}

      ### Configuration

      📅 **Schedule**: Branch creation - At any time, Automerge - At any time.

      🚦 **Automerge**: Enabled.
    skip_on_missing_branch: true
    close_pr_if_empty: true
    delete_branch_if_pr_empty: true
    merge_when_checks_succeed: true
    delete_branch_after_merge: true
  when:
    - branch:
        exclude: master
      event: push
depends_on:
  - build
  - test
